package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Switch port information
 */
@ApiModel(description = "Switch port information")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class Dot1xPortInfoOpenApiVo   {
  @JsonProperty("port")
  private Integer port;

  @JsonProperty("dot1xEnable")
  private Boolean dot1xEnable;

  @JsonProperty("mabEnable")
  private Boolean mabEnable;

  @JsonProperty("operation")
  private String operation;

  public Dot1xPortInfoOpenApiVo port(Integer port) {
    this.port = port;
    return this;
  }

  /**
   * Port number
   * @return port
  */
  @ApiModelProperty(value = "Port number")


  public Integer getPort() {
    return port;
  }

  public void setPort(Integer port) {
    this.port = port;
  }

  public Dot1xPortInfoOpenApiVo dot1xEnable(Boolean dot1xEnable) {
    this.dot1xEnable = dot1xEnable;
    return this;
  }

  /**
   * 802.1x enable status
   * @return dot1xEnable
  */
  @ApiModelProperty(value = "802.1x enable status")


  public Boolean getDot1xEnable() {
    return dot1xEnable;
  }

  public void setDot1xEnable(Boolean dot1xEnable) {
    this.dot1xEnable = dot1xEnable;
  }

  public Dot1xPortInfoOpenApiVo mabEnable(Boolean mabEnable) {
    this.mabEnable = mabEnable;
    return this;
  }

  /**
   * MAB enable status
   * @return mabEnable
  */
  @ApiModelProperty(value = "MAB enable status")


  public Boolean getMabEnable() {
    return mabEnable;
  }

  public void setMabEnable(Boolean mabEnable) {
    this.mabEnable = mabEnable;
  }

  public Dot1xPortInfoOpenApiVo operation(String operation) {
    this.operation = operation;
    return this;
  }

  /**
   * switching or mirroring or aggregating
   * @return operation
  */
  @ApiModelProperty(value = "switching or mirroring or aggregating")


  public String getOperation() {
    return operation;
  }

  public void setOperation(String operation) {
    this.operation = operation;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Dot1xPortInfoOpenApiVo dot1xPortInfoOpenApiVo = (Dot1xPortInfoOpenApiVo) o;
    return Objects.equals(this.port, dot1xPortInfoOpenApiVo.port) &&
        Objects.equals(this.dot1xEnable, dot1xPortInfoOpenApiVo.dot1xEnable) &&
        Objects.equals(this.mabEnable, dot1xPortInfoOpenApiVo.mabEnable) &&
        Objects.equals(this.operation, dot1xPortInfoOpenApiVo.operation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(port, dot1xEnable, mabEnable, operation);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Dot1xPortInfoOpenApiVo {\n");
    
    sb.append("    port: ").append(toIndentedString(port)).append("\n");
    sb.append("    dot1xEnable: ").append(toIndentedString(dot1xEnable)).append("\n");
    sb.append("    mabEnable: ").append(toIndentedString(mabEnable)).append("\n");
    sb.append("    operation: ").append(toIndentedString(operation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

